%define upstream_name    Test-TempDir
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A factory for creating L<Test::TempDir::Handle>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::NFSLock)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Path::Class)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::clean)
BuildArch: noarch


%{?perl_default_filter}

%description
Test::TempDir provides temporary directory creation with testing in mind.

The differences between using this and using the File::Temp manpage are:

* *

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-3.mga6
+ Revision: 1034653
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.100.0-2.mga6
+ Revision: 967827
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 850366
- update to 0.10

* Sat Oct 18 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 787551
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 743227
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.80.0-4.mga5
+ Revision: 736022
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 686556
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 537578
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 487310
- update to 0.08

* Thu Sep 12 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 478045
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 373834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 40046
- mageia rebuild
- imported package perl-Test-TempDir

